org.apache.felix.ipojo.task

## Class IPojoc

- java.lang.Object
- - org.apache.felix.ipojo.task.IPojoc

    public class IPojoc
    extends Object

A command line tools to manipulate iPOJO bundles. It can be used as follow: `java -jar this-jar.jar --input the-jar-to-manipulate`
`java -jar this-jar.jar --input the-jar-to-manipulate --output the-output-jar`
`java -jar this-jar.jar --input the-jar-to-manipulate --metadata the-xml-metadata`

### Constructor Summary

Constructors
Constructor and Description
`IPojoc()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.commons.cli.Options` `buildOptions()` Builds the option list
`static void` `main(String[] args)` The main entry point

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IPojoc

    public IPojoc()

### Method Detail

#### main

    public static void main(String[] args)

The main entry point

Parameters:
  `args` - the arguments

#### buildOptions

    public static org.apache.commons.cli.Options buildOptions()

Builds the option list

Returns:
  the options